# logger relies on: constants
import logging
from logger import OpenClipLogger
LOG = OpenClipLogger().LOG

# constants relies on: exceptions, LOG, internal
import constants

# const relies on: constants, exceptions, internal
from const import const, set_const

__all__ = [ 'constants', 'const', 'set_const', 'LOG']
__name__ = 'openclip'

from . import core
from .core import *
__all__.extend(core.__all__)

from . import elements
from .elements import *
__all__.extend(elements.__all__)

from . import util
from .util import *
__all__.extend(util.__all__)

from . import exceptions
from .exceptions import *
__all__.extend(exceptions.__all__)
